import type { ChatReply } from '@leapchat.io/schemas';
export type InputSubmitContent = {
    label?: string;
    value: string;
};
export type BotContext = {
    leapchat: InitialChatReply['leapchat'];
    resultId?: string;
    isPreview: boolean;
    apiHost?: string;
    sessionId: string;
};
export type InitialChatReply = ChatReply & {
    leapchat: NonNullable<ChatReply['leapchat']>;
    sessionId: NonNullable<ChatReply['sessionId']>;
};
export type OutgoingLog = {
    status: string;
    description: string;
    details?: unknown;
};
export type ClientSideActionContext = {
    apiHost?: string;
    sessionId: string;
};
export type ChatChunk = Pick<ChatReply, 'messages' | 'input' | 'clientSideActions'> & {
    streamingMessageId?: string;
};
//# sourceMappingURL=types.d.ts.map